
/*
 *
 *  (c) BU Three Dimensional WS13/14
 *
 *
*/


///// dat gui

    var Options = function() {
      this.x = .1;
      this.y = 2.1;
      this.z = 10.1;
      this.rotX = 0.001;
      this.rotY = 0.001;
      this.rotZ = 0.001;
    }

    var options = new Options();
    var gui = new dat.GUI();
    gui.add(options, 'x', -15, 15);
    gui.add(options, 'y', -15, 15);
    gui.add(options, 'z', -15, 15);
    gui.add(options, 'rotX', -5, 5);
    gui.add(options, 'rotY', -5, 5);
    gui.add(options, 'rotZ', -5, 5);

////////



var container = document.getElementById("container");


var renderer = new THREE.WebGLRenderer({ antialias: true });
// var renderer = new THREE.CanvasRenderer();
renderer.setSize(container.offsetWidth, container.offsetHeight);
container.appendChild( renderer.domElement );


var scene = new THREE.Scene();


var camera = new THREE.PerspectiveCamera( 45, container.offsetWidth / container.offsetHeight, 1, 4000 );
camera.position.set( 0, 2, 10 );
scene.add( camera );


var light = new THREE.DirectionalLight( 0xffffff, 1.5);
light.position.set(0, 1, 1);
scene.add( light );







var material = new THREE.MeshBasicMaterial({ wireframe: true });

var mesh = new THREE.Mesh();

var loader = new THREE.JSONLoader();
loader.load("model/myLandscape.js", onLoaderComplete)

function onLoaderComplete(geometry){
  mesh = new THREE.Mesh(geometry, material);
  scene.add(mesh);
}
    




loop();
function loop(){

  camera.position.x = options.x;
  camera.position.y = options.y;
  camera.position.z = options.z;
  camera.rotation.x = options.rotX;
  camera.rotation.y = options.rotY;
  camera.rotation.z = options.rotZ;


  requestAnimationFrame( loop );
  renderer.render(scene, camera);
}










window.onresize = function() {

  $("canvas")[0].width = container.offsetWidth;
  $("canvas")[0].height = container.offsetHeight;
  
  renderer.setSize(container.offsetWidth, container.offsetHeight);
  camera.aspect = container.offsetWidth / container.offsetHeight;
  camera.updateProjectionMatrix();
}














/*

###### SNIPPETS ###########



// load external model

var mesh = new THREE.Mesh();

loader = new THREE.JSONLoader();
loader.load("model/myModel_3_uvmap.js", onLoaderComplete)

function onLoaderComplete(geometry){
  mesh = new THREE.Mesh(geometry, material);
}






// load external texture material

var map = THREE.ImageUtils.loadTexture("models/texture.png");
var material = new THREE.MeshPhongMaterial({ map: map });

material.side = THREE.DoubleSide;








// jquery Variable Counter

$({meineVar:1}).animate({meineVar:0},{
  step: function(){
  }
})






*/